/***********************************************************
 * $Id: FieldAccessor.java 4 2006-12-26 19:16:57Z wglas $
 * 
 * Utility classes of the clazzes.org project
 * http://www.clazzes.org
 *
 * Created: 2006-03-13
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 ***********************************************************/

package org.clazzes.util.sec;


/**
 * The Crypt hasher
 */
public class CryptPasswordHasher extends PlainPasswordHasher implements
		PasswordHasher
{

	public CryptPasswordHasher()
	{
		super();
	}

	/* (non-Javadoc)
	 * @see org.clazzes.util.sec.PlainPasswordHasher#hashPassword(java.lang.String, java.lang.String)
	 */
	@Override
    public String hashPassword(String cleartext, String salt)
	{
		return this.algo_prefix + Crypter.crypt(salt, cleartext);
	}

	/* (non-Javadoc)
	 * @see org.clazzes.util.sec.PlainPasswordHasher#checkPassword(java.lang.String, java.lang.String)
	 */
	@Override
    public boolean checkPassword(String cleartext, String hashed)
	{
		String hash_salt = stripAlgorithmKey(hashed);
		String salt = hash_salt.substring(0,2);
		String rehashed = hashPassword(cleartext, salt);
		return rehashed.equals(hashed);
	}

	/* (non-Javadoc)
	 * @see org.clazzes.util.sec.PlainPasswordHasher#getAlgorithmName()
	 */
	@Override
    public String getAlgorithmName()
	{
		return "CRYPT";
	}

    /* (non-Javadoc)
     * @see org.clazzes.util.sec.PasswordHasher#getDefaultSaltLength()
     */
    public int getSaltLength() {
        return 2;
    }


}
